Skip to contents

# Distribution Statistics

Source: `R/stats-bernoulli-tbl.R`
`util_bernoulli_stats_tbl.Rd`

Returns distribution statistics in a tibble.

## Usage

    util_bernoulli_stats_tbl(.data)

## Arguments

.data

  The data being passed from a `tidy_` distribution function.

## Value

A tibble

## Details

This function will take in a tibble and returns the statistics of the given type of `tidy_` distribution. It is required that data be passed from a `tidy_` distribution function.

## See also

Other Bernoulli: `tidy_bernoulli()`, `util_bernoulli_param_estimate()`

Other Distribution Statistics: `util_beta_stats_tbl()`, `util_binomial_stats_tbl()`, `util_burr_stats_tbl()`, `util_cauchy_stats_tbl()`, `util_chisquare_stats_tbl()`, `util_exponential_stats_tbl()`, `util_f_stats_tbl()`, `util_gamma_stats_tbl()`, `util_geometric_stats_tbl()`, `util_hypergeometric_stats_tbl()`, `util_logistic_stats_tbl()`, `util_lognormal_stats_tbl()`, `util_negative_binomial_stats_tbl()`, `util_normal_stats_tbl()`, `util_pareto_stats_tbl()`, `util_poisson_stats_tbl()`, `util_t_stats_tbl()`, `util_triangular_stats_tbl()`, `util_uniform_stats_tbl()`, `util_weibull_stats_tbl()`

## Author

Steven P. Sanderson II, MPH

## Examples

    library(dplyr)

    tidy_bernoulli() |>
      util_bernoulli_stats_tbl() |>
      glimpse()
    #> Rows: 1
    #> Columns: 18
    #> $ tidy_function      <chr> "tidy_bernoulli"
    #> $ function_call      <chr> "Bernoulli c(0.1)"
    #> $ distribution       <chr> "Bernoulli"
    #> $ distribution_type  <chr> "discrete"
    #> $ points             <dbl> 50
    #> $ simulations        <dbl> 1
    #> $ mean               <dbl> 0.1
    #> $ mode               <chr> "0"
    #> $ coeff_var          <dbl> 0.09
    #> $ skewness           <dbl> 2.666667
    #> $ kurtosis           <dbl> 5.111111
    #> $ mad                <dbl> 0.5
    #> $ entropy            <dbl> 0.325083
    #> $ fisher_information <dbl> 11.11111
    #> $ computed_std_skew  <dbl> 3.096281
    #> $ computed_std_kurt  <dbl> 10.58696
    #> $ ci_lo              <dbl> 0
    #> $ ci_hi              <dbl> 1